summaryrefslogtreecommitdiffstats
path: root/source.local/d
diff options
context:
space:
mode:
Diffstat (limited to 'source.local/d')
-rw-r--r--source.local/d/device-tree-compiler/device-tree-compiler-1.3.0_remove-unused-variable-in-flat_read_mem_reserve.patch.gzbin0 -> 853 bytes
-rw-r--r--source.local/d/device-tree-compiler/device-tree-compiler-1.3.0_remove_check_variable.patch.gzbin0 -> 724 bytes
-rwxr-xr-xsource.local/d/device-tree-compiler/device-tree-compiler.SlackBuild131
-rw-r--r--source.local/d/device-tree-compiler/man/convert-dtsv0.122
-rw-r--r--source.local/d/device-tree-compiler/man/dtc.1103
-rw-r--r--source.local/d/device-tree-compiler/man/dtdiff.114
-rw-r--r--source.local/d/device-tree-compiler/man/fdtdump.113
-rw-r--r--source.local/d/device-tree-compiler/man/fdtget.125
-rw-r--r--source.local/d/device-tree-compiler/man/fdtput.129
-rw-r--r--source.local/d/device-tree-compiler/slack-desc19
10 files changed, 356 insertions, 0 deletions
diff --git a/source.local/d/device-tree-compiler/device-tree-compiler-1.3.0_remove-unused-variable-in-flat_read_mem_reserve.patch.gz b/source.local/d/device-tree-compiler/device-tree-compiler-1.3.0_remove-unused-variable-in-flat_read_mem_reserve.patch.gz
new file mode 100644
index 0000000..2fb6c44
--- /dev/null
+++ b/source.local/d/device-tree-compiler/device-tree-compiler-1.3.0_remove-unused-variable-in-flat_read_mem_reserve.patch.gz
Binary files differ
diff --git a/source.local/d/device-tree-compiler/device-tree-compiler-1.3.0_remove_check_variable.patch.gz b/source.local/d/device-tree-compiler/device-tree-compiler-1.3.0_remove_check_variable.patch.gz
new file mode 100644
index 0000000..8b6376e
--- /dev/null
+++ b/source.local/d/device-tree-compiler/device-tree-compiler-1.3.0_remove_check_variable.patch.gz
Binary files differ
diff --git a/source.local/d/device-tree-compiler/device-tree-compiler.SlackBuild b/source.local/d/device-tree-compiler/device-tree-compiler.SlackBuild
new file mode 100755
index 0000000..04afc30
--- /dev/null
+++ b/source.local/d/device-tree-compiler/device-tree-compiler.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Copyright 2013 Eric Hameleers, Eindhoven NL
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=device-tree-compiler
+VERSION=${VERSION:-1.3.0}
+BUILD=${BUILD:-1}
+
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
+else
+ # Automatically determine the architecture we're building on:
+ MARCH=$( uname -m )
+ if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv5te"
+ LIBDIRSUFFIX=""
+ else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ fi
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+SRCTOP=$(tar tf $CWD/$PKGNAM-$VERSION.tar.xz | head -1 | sed -e 's/\/.*//')
+rm -rf $SRCTOP
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $SRCTOP
+
+# Repair compiler errors due to erroneous commit:
+zcat $CWD/device-tree-compiler-1.3.0_remove_check_variable.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/device-tree-compiler-1.3.0_remove-unused-variable-in-flat_read_mem_reserve.patch.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make clean
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG PREFIX=/usr || exit 1
+
+# Move debian's man pages into place:
+mkdir -p $PKG/usr/man/man1
+install -pm0644 $CWD/man/*.1 $PKG/usr/man/man1/
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Add documentation:
+mkdir -vpm755 $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ Documentation/manual.txt GPL README.license TODO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/d/device-tree-compiler/man/convert-dtsv0.1 b/source.local/d/device-tree-compiler/man/convert-dtsv0.1
new file mode 100644
index 0000000..33e0cfe
--- /dev/null
+++ b/source.local/d/device-tree-compiler/man/convert-dtsv0.1
@@ -0,0 +1,22 @@
+.TH DTC 1 "30 January 2012" "Linux"
+.SH NAME
+\fBconvert-dtsv0\fP \- Device Tree Compiler -- Conversion to Version 1
+.SH SYNOPSIS
+\fB/usr/bin/convert-dtsv0\fP [<input_filename ... >]
+.SH DESCRIPTION
+convert-dtsv0 is a small utility program which converts (DTS)
+
+Device Tree Source from the obsolete version 0 to version 1.
+Version 1 DTS files are marked by line "/dts-v1/;" at the top of the file.
+
+Each file passed will be converted to the new /dts-v1/ version by creating
+a new file with a "v1" appended the filename.
+
+Comments, empty lines, etc. are preserved.
+.SH AUTHOR
+\fBconvert-dtsv0\fP was written by David Gibson
+<david@gibson.dropbear.id.au>. Since April 1, 2006, Jon Loeliger
+<jdl@jdl.com> assumes maintainership.
+.PP
+This manual page was written by H\['e]ctor Or\['o]n
+<zumbi@debian.org>, for the Debian project (but may be used by others).
diff --git a/source.local/d/device-tree-compiler/man/dtc.1 b/source.local/d/device-tree-compiler/man/dtc.1
new file mode 100644
index 0000000..1e4c367
--- /dev/null
+++ b/source.local/d/device-tree-compiler/man/dtc.1
@@ -0,0 +1,103 @@
+.TH DTC 1 "30 January 2012" "Linux"
+.SH NAME
+\fBdtc\fP \- Device Tree Compiler
+.SH SYNOPSIS
+\fB/usr/bin/dtc\fP [options] <input file>
+.SH DESCRIPTION
+Device Tree Compiler, dtc, takes as input a device-tree in
+a given format and outputs a device-tree in another format
+for booting kernels on embedded systems.
+Typically, the input format is "dts", a human readable source
+format, and creates a "dtb", or binary format as output.
+.SH OPTIONS
+.TP
+\fB\-h\fR
+Display help text.
+.TP
+\fB\-q\fR
+Quiet:
+.IP
+\fB-q\fR \- Suppress warnings.
+.br
+\fB-qq\fR \- Suppress errors.
+.br
+\fB-qqq\fR \- Suppress all.
+.TP
+\fB\-I\fR <input format>
+.IP
+Input formats are:
+.IP
+\fBdts\fR \- device tree source text
+.br
+\fBdtb\fR \- device tree blob
+.br
+\fBfs\fR \- /proc/device\-tree style directory
+.TP
+\fB\-o\fR <output file>
+.IP
+Dump the result into a file, instead of stdout.
+.TP
+\fB\-O\fR <output format>
+.IP
+Output formats are:
+.IP
+\fBdts\fR \- device tree source text
+.br
+\fBdtb\fR \- device tree blob
+.br
+\fBasm\fR \- assembler source
+.TP
+\fB\-V\fR <output version>
+.IP
+Blob version to produce. The default is 17 (only relevant for dtb
+and asm output).
+.TP
+\fB\-d\fR <output dependency file>
+.TP
+\fB\-R\fR <number>
+.IP
+Make space for <number> reserve map entries (only relevant for dtb
+and asm output).
+.TP
+\fB\-S\fR <bytes>
+.IP
+Make the blob at least <bytes> long (extra space).
+.TP
+\fB\-p\fR <bytes>
+.IP
+Add padding to the blob of <bytes> long (extra space)
+.HP
+\fB\-b\fR <number>
+.IP
+Set the physical boot CPU.
+.TP
+\fB\-f\fR
+.IP
+Force \- try to produce output even if the input tree has errors.
+.TP
+\fB\-s\fR
+.IP
+Sort nodes and properties before outputting (only useful for comparing trees)
+.TP
+\fB\-v\fR
+Print DTC version and exit.
+.TP
+\fB\-H\fR <phandle format>
+.IP
+phandle formats are:
+.IP
+\fBlegacy\fR \- "linux,phandle" properties only
+.br
+\fBepapr\fR \- "phandle" properties only
+.br
+\fBboth\fR \- Both "linux,phandle" and "phandle" properties
+.SH AUTHOR
+\fBdtc\fP was written by David Gibson
+<david@gibson.dropbear.id.au>. Since April 1, 2006, Jon Loeliger
+<jdl@jdl.com> assumes maintainership.
+.PP
+This manual page was originally written by Aur\['e]lien G\['E]R\[^O]ME
+<ag@roxor.cx>, for the Debian project (but may be used by others).
+.PP
+This manual page is currently maintained and update it by H\['e]ctor Or\['o]n
+<zumbi@debian.org>, for the Debian project.
diff --git a/source.local/d/device-tree-compiler/man/dtdiff.1 b/source.local/d/device-tree-compiler/man/dtdiff.1
new file mode 100644
index 0000000..7649104
--- /dev/null
+++ b/source.local/d/device-tree-compiler/man/dtdiff.1
@@ -0,0 +1,14 @@
+.TH DTC 1 "30 January 2012" "Linux"
+.SH NAME
+\fBdtdiff\fP \- compare two different device-tree
+.SH SYNOPSIS
+\fB/usr/bin/dtdiff\fP <device tree> <device tree>
+.SH DESCRIPTION
+Compares two different device-tree.
+.SH AUTHOR
+\fBdtc\fP was written by David Gibson
+<david@gibson.dropbear.id.au>. Since April 1, 2006, Jon Loeliger
+<jdl@jdl.com> assumes maintainership.
+.PP
+This manual page was written by H\['e]ctor Or\['o]n
+<zumbi@debian.org>, for the Debian project (but may be used by others).
diff --git a/source.local/d/device-tree-compiler/man/fdtdump.1 b/source.local/d/device-tree-compiler/man/fdtdump.1
new file mode 100644
index 0000000..95cf4a4
--- /dev/null
+++ b/source.local/d/device-tree-compiler/man/fdtdump.1
@@ -0,0 +1,13 @@
+.TH DTC 1 "30 January 2012" "Linux"
+.SH NAME
+\fBfdtdump\fP \- prints a readable version of a flat device-tree file.
+.SH SYNOPSIS
+\fB/usr/bin/fdtdump\fP <DTB-file-name>
+.SH DESCRIPTION
+The fdtdump program prints a readable version of a flat device-tree file.
+.SH AUTHOR
+\fBfdtdump\fP was written by Pantelis Antoniou
+<pantelis.antoniou AT gmail.com>.
+.PP
+This manual page was written by H\['e]ctor Or\['o]n
+<zumbi@debian.org>, for the Debian project (but may be used by others).
diff --git a/source.local/d/device-tree-compiler/man/fdtget.1 b/source.local/d/device-tree-compiler/man/fdtget.1
new file mode 100644
index 0000000..0049270
--- /dev/null
+++ b/source.local/d/device-tree-compiler/man/fdtget.1
@@ -0,0 +1,25 @@
+.TH DTC 1 "30 January 2012" "Linux"
+.SH NAME
+\fBfdtget\fP \- read values from device-tree
+.SH SYNOPSIS
+\fB/usr/bin/fdtget\fP <options> <dt file> [<node> <property>]...
+.SH DESCRIPTION
+Read values from device-tree. Each value is printed on a new line.
+.SH OPTIONS
+.TP
+\fB\-h\fR
+Print this help.
+.TP
+\fB\-t\fR <type>
+Type of data
+.IP
+<type> s=string, i=int, u=unsigned, x=hex
+.br
+Optional modifier prefix:
+.br
+hh or b=byte, h=2 byte, l=4 byte (default)
+.SH AUTHOR
+\fBfdtget\fP was written by The Chromium OS Authors.
+.PP
+This manual page was written by H\['e]ctor Or\['o]n
+<zumbi@debian.org>, for the Debian project (but may be used by others).
diff --git a/source.local/d/device-tree-compiler/man/fdtput.1 b/source.local/d/device-tree-compiler/man/fdtput.1
new file mode 100644
index 0000000..2766b0f
--- /dev/null
+++ b/source.local/d/device-tree-compiler/man/fdtput.1
@@ -0,0 +1,29 @@
+.TH DTC 1 "30 January 2012" "Linux"
+.SH NAME
+\fBfdtput\fP \- write a property value to a device-tree
+.SH SYNOPSIS
+\fB/usr/bin/fdtput\fP <options> <dt file> <<node> <property> [<value>...]
+.SH DESCRIPTION
+Write a property value to a device-tree. The command line arguments are
+joined together into a single value.
+.SH OPTIONS
+.TP
+\fB\-h\fR
+Print this help.
+.TP
+\fB\-v\fR
+Verbose: display each value decoded from command line
+.TP
+\fB\-t\fR <type>
+Type of data
+.IP
+<type> s=string, i=int, u=unsigned, x=hex
+.br
+Optional modifier prefix:
+.br
+hh or b=byte, h=2 byte, l=4 byte (default)
+.SH AUTHOR
+\fBfdtput\fP was written by The Chromium OS Authors.
+.PP
+This manual page was written by H\['e]ctor Or\['o]n
+<zumbi@debian.org>, for the Debian project (but may be used by others).
diff --git a/source.local/d/device-tree-compiler/slack-desc b/source.local/d/device-tree-compiler/slack-desc
new file mode 100644
index 0000000..6d821b2
--- /dev/null
+++ b/source.local/d/device-tree-compiler/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+device-tree-compiler: device-tree-compiler (Device Tree Compiler for Flat Device Trees)
+device-tree-compiler:
+device-tree-compiler: Device Tree Compiler, 'dtc', transforms a textual description of a
+device-tree-compiler: device tree ('DTS') into a binary object ('DTB').
+device-tree-compiler:
+device-tree-compiler: DTS is most commonly used on embedded platforms.
+device-tree-compiler:
+device-tree-compiler: This tool is particularly useful for building a DTS-enabled
+device-tree-compiler: 'U-Boot' binary.
+device-tree-compiler:
+device-tree-compiler: